# Paginator

## Pagination Row

The Pagination Row shows the paginator when you enable pagination in the DikeGrid. Bind the related property from the `gridProperties` object to allow pagination.

{% code title="grid-structure.component.html" %}

```markup
<dike-grid id="grid-structure"
    [allowPagination]="gridProperties.allowPagination">
</dike-grid>
```

{% endcode %}

Open the [Floating Configuration Panel](/overview.md#floating-configuration-panel), go to the **Pagination** group, and enable pagination.&#x20;

![Floating Configuration Panel - Pagination](/files/nlbQLBhc9SPDfEfLZApX)

The previous configuration generates the following output:

![Pagination Row](/files/HZ0lXrNlD1AcuzHeWk54)

{% hint style="info" %}
The DikeGrid always shows the Pagination Row at the ***bottom*** of the content rows.
{% endhint %}

### Changing the Pagination Row height

The Pagination Row is **64 pixels** in height. Nevertheless, you can change this height by providing an input property called <mark style="color:orange;">`paginationRowHeight`</mark>.

Let us bind the corresponding property from the `gridProperties` object to change the Pagination Row height.

{% code title="grid-structure.component.html" %}

```markup
<dike-grid id="grid-structure"
    [allowPagination]="gridProperties.allowPagination"
    [paginationRowHeight]="gridProperties.paginationHeight">
</dike-grid>
```

{% endcode %}

Now, open the [Floating Configuration Panel](/overview.md#floating-configuration-panel), go to the **Pagination** group, and type 100 in the **Pagination Row Height** textbox.

![Changing the Pagination Row height](/files/FPNkqNDfMWqG1B8qEzOo)

{% hint style="success" %}
You can also change the Pagination Row height by providing an Injection Token called <mark style="color:blue;">`PAGINATION_ROW_HEIGHT`</mark>.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dikesoft.com/fundamentals/grid-structure/paginator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
